var i18nTexts = {
    "update_available": {
        "ru": "доступно обновление",
        "en": "update is available",
    },
    "update_available_version": {
        "ru": "Доступно обновление до версии",
        "en": "An update is available, new version:",
    },
    "update_download_and_install": {
        "ru": "скачать и обновить",
        "en": "download and install",
    },
    "update_whats_new": {
        "ru": "Что в новой версии",
        "en": "What's new",
    },
    "update_more": {
        "ru": "Подробнее",
        "en": "Read more",
    },
    "update_latest": {
        "ru": "Вы пользуетесь последней версией системы",
        "en": "You are using the latest software version",
    },
    "update_failed_to_connect": {
        "ru": "Не удалось подключиться к серверу обновлений",
        "en": "Could not connect to an update server"
    },
    "camera_no_image": {
        "ru": "Нет изображения с камеры",
        "en": "No image"
    },
    "wifi_no_password": {
        "ru": "Без пароля",
        "en": "No password"
    },
    "wifi_strength_alert": {
        "ru": "Сигнал должен быть не менее 3-х делений. Выберите другую сеть, поверните антенну или разместите камеру ближе к роутеру.",
        "en": "Wi-Fi signal strength level must be 3 bars or more. Select another wireless network, rotate camera's antenna or place camera closer to the Wi-Fi router."
    },
    "wifi_encryption": {
        "ru": "Защита",
        "en": "Encryption"
    },
    "connection_ok": {
        "ru": "есть",
        "en": "ok"
    },
    "connection_error": {
        "ru": "нет",
        "en": "no"
    }
};

function i18n(val) {
    return i18nTexts[val] && i18nTexts[val][language] || "";
}
