var Ip = {
	init: function() {
		var self = this;
		this.dhcpCheckbox = document.getElementById("dhcp");
		this.ipBlock = document.getElementById("js-ip-block");
		this.dnsflagCheckbox = document.getElementById("dnsflag");
		this.dnsBlock = document.getElementById("js-dns-block");

		this.events();
		
	},

	events: function() {
		var self = this;
				
		this.dhcpCheckbox.onchange = function(e) {
			self.applyDhcpCheckbox();
		}

		self.applyDhcpCheckbox();

		this.dnsflagCheckbox.onchange = function(e) {
			self.applyDnsflagCheckbox();
		}

		self.applyDnsflagCheckbox();
	},

	applyDhcpCheckbox: function() {
		if(this.dhcpCheckbox.checked)
			this.ipBlock.style.display='none';
		else
			this.ipBlock.style.display='block';
	},

	applyDnsflagCheckbox: function() {
		if(this.dnsflagCheckbox.checked)
			this.dnsBlock.style.display='none';
		else
			this.dnsBlock.style.display='block';
	}
	
};