var Update = {
	init: function() {
		var self = this;
		this.updateInfo = document.getElementById("js-update-info");
		this.updateInfoText = document.getElementById("js-update-info-text");

		this.events();
		this.getStatus();
	},

	events: function() {
		var self = this;


	},

	getStatus: function() {
		var self = this;
		Ajax.request({
			url: "https://" + server + url_update_version + "?v=" + current_version + "&model=" + model_code + "&check=1&language=" + language,
			method: 'get',
			json: true,
			data: {
			}
		})
		.done(function(result) {
			if(result)
				self.updateStatus(result);
			else
				self.updateStatus(null);

		})
		.fail(function(xhr) {
			self.updateStatus(null);
		});
	},

	updateStatus: function(data) {
		if(data) {
			if(data.new_version) {
				if(this.updateInfo)
					this.updateInfo.innerHTML = '<a href=update.cgi class="g-success">' + i18n("update_available") + '</a>';
				if(this.updateInfoText) {
					this.updateInfoText.innerHTML = '<div>' + i18n("update_available_version") + ' ' + data.new_version + '<br><br><a href=?download_update=1 class="b-button"><b>' + i18n("update_download_and_install") + '</b></a></div>';
					if(data.features && data.features.length) {
						this.updateInfoText.innerHTML += '<br><div>' + i18n("update_whats_new") + ':</div><ul>';
						for(var i = 0; i < data.features.length; i++) {
							this.updateInfoText.innerHTML += '<li>' + data.features[i] + '</li>';
						}
						this.updateInfoText.innerHTML += '</ul>';
						if(data.link)
							this.updateInfoText.innerHTML += '<br><a href=https://' + server + data.link + ' target=_blank>' + i18n("update_more") + '</a>';
					}
				}
			}
			else {
				if(this.updateInfo)
					this.updateInfo.innerHTML = '<span class="g-disabled">' + i18n("update_latest") + '</span>';
				if(this.updateInfoText)
					this.updateInfoText.innerHTML = '<span class="g-disabled">' + i18n("update_latest") + '</span>';
			}
		}
		else {
			if(this.updateInfo)
				this.updateInfo.innerHTML = '<span class="g-disabled">' + i18n("update_failed_to_connect") + '</span>';
			if(this.updateInfoText)
				this.updateInfoText.innerHTML = '<span class="g-disabled">' + i18n("update_failed_to_connect") + '</span>';

		}
	}

};
